<html>
<head>
<title>Ogre::RenderObjectListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderObjectListener.html">RenderObjectListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderObjectListener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderObjectListener" -->
<p>Abstract interface which classes must implement if they wish to receive events from the scene manager when single object is about to be rendered.  
 <a href="classOgre_1_1RenderObjectListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderObjectListener_8h_source.html">OgreRenderObjectListener.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderObjectListener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RenderObjectListener__inherit__graph.gif" border="0" usemap="#Ogre_1_1RenderObjectListener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RenderObjectListener_inherit__map" id="Ogre_1_1RenderObjectListener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGRenderObjectListener.html" title="Shader generator RenderObjectListener sub class." alt="" coords="5,83,381,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RenderObjectListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderObjectListener.html#a5fc7de0f8ead61860e1125c539afd52b">~RenderObjectListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderObjectListener.html#a99b1b17e89efbbce74756925a4acad38">notifyRenderSingleObject</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend, const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *pass, const <a class="el" href="classOgre_1_1AutoParamDataSource.html">AutoParamDataSource</a> *source, const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a> *pLightList, bool suppressRenderStateChanges)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Event raised when render single object started.  <a href="#a99b1b17e89efbbce74756925a4acad38"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Abstract interface which classes must implement if they wish to receive events from the scene manager when single object is about to be rendered. </p>

<p>Definition at line <a class="el" href="OgreRenderObjectListener_8h_source.html#l00043">43</a> of file <a class="el" href="OgreRenderObjectListener_8h_source.html">OgreRenderObjectListener.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5fc7de0f8ead61860e1125c539afd52b"></a><!-- doxytag: member="Ogre::RenderObjectListener::~RenderObjectListener" ref="a5fc7de0f8ead61860e1125c539afd52b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderObjectListener.html#a5fc7de0f8ead61860e1125c539afd52b">Ogre::RenderObjectListener::~RenderObjectListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderObjectListener_8h_source.html#l00046">46</a> of file <a class="el" href="OgreRenderObjectListener_8h_source.html">OgreRenderObjectListener.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a99b1b17e89efbbce74756925a4acad38"></a><!-- doxytag: member="Ogre::RenderObjectListener::notifyRenderSingleObject" ref="a99b1b17e89efbbce74756925a4acad38" args="(Renderable *rend, const Pass *pass, const AutoParamDataSource *source, const LightList *pLightList, bool suppressRenderStateChanges)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderObjectListener.html#a99b1b17e89efbbce74756925a4acad38">Ogre::RenderObjectListener::notifyRenderSingleObject</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>rend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td>
          <td class="paramname"><em>pass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AutoParamDataSource.html">AutoParamDataSource</a> *&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a> *&#160;</td>
          <td class="paramname"><em>pLightList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suppressRenderStateChanges</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Event raised when render single object started. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pass</td><td>The renderable that is going to be rendered. </td></tr>
    <tr><td class="paramname">pass</td><td>The pass which was set. </td></tr>
    <tr><td class="paramname">source</td><td>The auto parameter source used within this render call.  The light list in use.  True if render state changes should be suppressed. </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGRenderObjectListener.html#a6f3a08295ea5619d9a858cbe8bb490ad">Ogre::RTShader::ShaderGenerator::SGRenderObjectListener</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderObjectListener_8h_source.html">OgreRenderObjectListener.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
